curl -X PATCH "https://api.orwel.io/api/v1/leads/550e8400-e29b-41d4-a716-446655440000" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"properties": {
"status": "qualified",
"score": 90
},
"summary": {
"notes": "High priority lead"
},
"company_id": "aa0e8400-e29b-41d4-a716-446655440005"
}'
const leadId = '550e8400-e29b-41d4-a716-446655440000';
const response = await fetch(
`https://api.orwel.io/api/v1/leads/${leadId}`,
{
method: 'PATCH',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
properties: {
status: 'qualified',
score: 90
},
summary: {
notes: 'High priority lead'
},
company_id: 'aa0e8400-e29b-41d4-a716-446655440005'
})
}
);
const data = await response.json();
import requests
import json
lead_id = '550e8400-e29b-41d4-a716-446655440000'
headers = {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
}
payload = {
'properties': {
'status': 'qualified',
'score': 90
},
'summary': {
'notes': 'High priority lead'
},
'company_id': 'aa0e8400-e29b-41d4-a716-446655440005'
}
response = requests.patch(
f'https://api.orwel.io/api/v1/leads/{lead_id}',
headers=headers,
data=json.dumps(payload)
)
data = response.json()
{
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"visitor_id": "660e8400-e29b-41d4-a716-446655440001",
"workspace_id": "770e8400-e29b-41d4-a716-446655440002",
"code": "lead_001",
"source": "website",
"created_at": "2025-01-15T10:30:00Z",
"updated_at": "2025-01-15T15:45:00Z",
"properties": {
"status": "qualified",
"score": 90
},
"location": {
"city": "San Francisco",
"country": "USA"
},
"identity_id": "880e8400-e29b-41d4-a716-446655440003",
"session_id": "990e8400-e29b-41d4-a716-446655440004",
"summary": {
"notes": "High priority lead"
},
"company_id": "aa0e8400-e29b-41d4-a716-446655440005"
}
}
Leads
Update Lead
Update an existing lead
PATCH
/
api
/
v1
/
leads
/
{id}
curl -X PATCH "https://api.orwel.io/api/v1/leads/550e8400-e29b-41d4-a716-446655440000" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"properties": {
"status": "qualified",
"score": 90
},
"summary": {
"notes": "High priority lead"
},
"company_id": "aa0e8400-e29b-41d4-a716-446655440005"
}'
const leadId = '550e8400-e29b-41d4-a716-446655440000';
const response = await fetch(
`https://api.orwel.io/api/v1/leads/${leadId}`,
{
method: 'PATCH',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
properties: {
status: 'qualified',
score: 90
},
summary: {
notes: 'High priority lead'
},
company_id: 'aa0e8400-e29b-41d4-a716-446655440005'
})
}
);
const data = await response.json();
import requests
import json
lead_id = '550e8400-e29b-41d4-a716-446655440000'
headers = {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
}
payload = {
'properties': {
'status': 'qualified',
'score': 90
},
'summary': {
'notes': 'High priority lead'
},
'company_id': 'aa0e8400-e29b-41d4-a716-446655440005'
}
response = requests.patch(
f'https://api.orwel.io/api/v1/leads/{lead_id}',
headers=headers,
data=json.dumps(payload)
)
data = response.json()
{
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"visitor_id": "660e8400-e29b-41d4-a716-446655440001",
"workspace_id": "770e8400-e29b-41d4-a716-446655440002",
"code": "lead_001",
"source": "website",
"created_at": "2025-01-15T10:30:00Z",
"updated_at": "2025-01-15T15:45:00Z",
"properties": {
"status": "qualified",
"score": 90
},
"location": {
"city": "San Francisco",
"country": "USA"
},
"identity_id": "880e8400-e29b-41d4-a716-446655440003",
"session_id": "990e8400-e29b-41d4-a716-446655440004",
"summary": {
"notes": "High priority lead"
},
"company_id": "aa0e8400-e29b-41d4-a716-446655440005"
}
}
Path Parameters
string
required
The unique identifier (UUID) of the lead to update
Request Body
object
Custom properties to update
object
Location data to update
object
Summary data to update
string
Associated company ID (UUID)
curl -X PATCH "https://api.orwel.io/api/v1/leads/550e8400-e29b-41d4-a716-446655440000" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"properties": {
"status": "qualified",
"score": 90
},
"summary": {
"notes": "High priority lead"
},
"company_id": "aa0e8400-e29b-41d4-a716-446655440005"
}'
const leadId = '550e8400-e29b-41d4-a716-446655440000';
const response = await fetch(
`https://api.orwel.io/api/v1/leads/${leadId}`,
{
method: 'PATCH',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
properties: {
status: 'qualified',
score: 90
},
summary: {
notes: 'High priority lead'
},
company_id: 'aa0e8400-e29b-41d4-a716-446655440005'
})
}
);
const data = await response.json();
import requests
import json
lead_id = '550e8400-e29b-41d4-a716-446655440000'
headers = {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
}
payload = {
'properties': {
'status': 'qualified',
'score': 90
},
'summary': {
'notes': 'High priority lead'
},
'company_id': 'aa0e8400-e29b-41d4-a716-446655440005'
}
response = requests.patch(
f'https://api.orwel.io/api/v1/leads/{lead_id}',
headers=headers,
data=json.dumps(payload)
)
data = response.json()
{
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"visitor_id": "660e8400-e29b-41d4-a716-446655440001",
"workspace_id": "770e8400-e29b-41d4-a716-446655440002",
"code": "lead_001",
"source": "website",
"created_at": "2025-01-15T10:30:00Z",
"updated_at": "2025-01-15T15:45:00Z",
"properties": {
"status": "qualified",
"score": 90
},
"location": {
"city": "San Francisco",
"country": "USA"
},
"identity_id": "880e8400-e29b-41d4-a716-446655440003",
"session_id": "990e8400-e29b-41d4-a716-446655440004",
"summary": {
"notes": "High priority lead"
},
"company_id": "aa0e8400-e29b-41d4-a716-446655440005"
}
}